commit:     ca790adcbf6cf329b2029df8b0a2020c251a1930
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 24 07:59:38 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Sep 24 08:01:32 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca790adc

dev-ruby/zeitwerk: add missing test dependency

Closes: https://bugs.gentoo.org/911658
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/zeitwerk/zeitwerk-2.6.11-r1.ebuild | 37 +++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-ruby/zeitwerk/zeitwerk-2.6.11-r1.ebuild 
b/dev-ruby/zeitwerk/zeitwerk-2.6.11-r1.ebuild
new file mode 100644
index 000000000000..9b840c1d8ee8
--- /dev/null
+++ b/dev-ruby/zeitwerk/zeitwerk-2.6.11-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Efficient and thread-safe code loader for Ruby"
+HOMEPAGE="https://github.com/fxn/zeitwerk";
+SRC_URI="https://github.com/fxn/zeitwerk/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/warning )"
+
+all_ruby_prepare() {
+       rm -f Gemfile.lock || die
+       # Dropping proveit should be fine based on 
https://github.com/fxn/zeitwerk/pull/253
+       # It's more of a quality check for the tests themselves rather than a 
test
+       sed -i -e '/\(focus\|reporters\|Reporters\|prove_\?it\)/ s:^:#:' 
Gemfile test/test_helper.rb || die
+
+       sed -i -e 's:require_relative "lib:require "./lib:' 
${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+       ${RUBY} -S bundle exec rake test || die
+}

Reply via email to